summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--eclass/apache-2.eclass4
-rw-r--r--eclass/clutter.eclass4
-rw-r--r--eclass/enlightenment.eclass6
-rw-r--r--eclass/eutils.eclass8
-rw-r--r--eclass/fox.eclass6
-rw-r--r--eclass/gnome-python-common.eclass4
-rw-r--r--eclass/gnome2.eclass4
-rw-r--r--eclass/java-ant-2.eclass10
-rw-r--r--eclass/java-pkg-2.eclass4
-rw-r--r--eclass/java-pkg-simple.eclass10
-rw-r--r--eclass/java-utils-2.eclass18
-rw-r--r--eclass/java-vm-2.eclass4
-rw-r--r--eclass/kde4-functions.eclass4
-rw-r--r--eclass/multilib.eclass8
-rw-r--r--eclass/mysql.eclass4
-rw-r--r--eclass/mythtv-plugins.eclass6
-rw-r--r--eclass/pam.eclass18
-rw-r--r--eclass/pax-utils.eclass4
-rw-r--r--eclass/qt4-build.eclass6
-rw-r--r--eclass/ruby-ng.eclass4
-rw-r--r--eclass/ruby.eclass4
-rw-r--r--eclass/toolchain.eclass6
-rw-r--r--eclass/vim-plugin.eclass4
23 files changed, 75 insertions, 75 deletions
diff --git a/eclass/apache-2.eclass b/eclass/apache-2.eclass
index ac58ba4aad0c..ed850f19c09b 100644
--- a/eclass/apache-2.eclass
+++ b/eclass/apache-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/apache-2.eclass,v 1.24 2010/12/22 10:02:05 hollow Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/apache-2.eclass,v 1.25 2011/07/08 11:35:01 ssuominen Exp $
EAPI="2"
@@ -488,7 +488,7 @@ apache-2_src_install() {
use doc && APACHE2_OPTS="${APACHE2_OPTS} -D MANUAL"
use ssl && APACHE2_OPTS="${APACHE2_OPTS} -D SSL -D SSL_DEFAULT_VHOST"
use suexec && APACHE2_OPTS="${APACHE2_OPTS} -D SUEXEC"
- if hasq negotiation ${APACHE2_MODULES} && use apache2_modules_negotiation; then
+ if has negotiation ${APACHE2_MODULES} && use apache2_modules_negotiation; then
APACHE2_OPTS="${APACHE2_OPTS} -D LANGUAGE"
fi
diff --git a/eclass/clutter.eclass b/eclass/clutter.eclass
index 04e9ff9a3cc5..6868e846ebe5 100644
--- a/eclass/clutter.eclass
+++ b/eclass/clutter.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/clutter.eclass,v 1.3 2011/02/07 16:50:42 nirbheek Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/clutter.eclass,v 1.4 2011/07/08 11:35:01 ssuominen Exp $
#
# @ECLASS: clutter.eclass
@@ -52,7 +52,7 @@ clutter_src_install() {
dodoc ${DOCS} || die "dodoc failed"
# examples
- if hasq examples ${IUSE} && use examples; then
+ if has examples ${IUSE} && use examples; then
insinto /usr/share/doc/${PF}/examples
# We use eval to be able to use globs and other bash expressions
diff --git a/eclass/enlightenment.eclass b/eclass/enlightenment.eclass
index edbf1c433ae1..0f82430e897a 100644
--- a/eclass/enlightenment.eclass
+++ b/eclass/enlightenment.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/enlightenment.eclass,v 1.88 2010/09/18 08:39:07 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/enlightenment.eclass,v 1.89 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: enlightenment.eclass
# @MAINTAINER:
@@ -129,7 +129,7 @@ enlightenment_src_unpack() {
else
unpack ${A}
fi
- hasq src_prepare ${ENLIGHTENMENT_EXPF} || enlightenment_src_prepare
+ has src_prepare ${ENLIGHTENMENT_EXPF} || enlightenment_src_prepare
}
enlightenment_src_prepare() {
@@ -155,7 +155,7 @@ enlightenment_src_configure() {
}
enlightenment_src_compile() {
- hasq src_configure ${ENLIGHTENMENT_EXPF} || enlightenment_src_configure
+ has src_configure ${ENLIGHTENMENT_EXPF} || enlightenment_src_configure
emake || die
diff --git a/eclass/eutils.eclass b/eclass/eutils.eclass
index e72d4944ef92..1d686e179341 100644
--- a/eclass/eutils.eclass
+++ b/eclass/eutils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.357 2011/06/14 20:16:51 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v 1.358 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: eutils.eclass
# @MAINTAINER:
@@ -1715,9 +1715,9 @@ strip-linguas() {
fi
for f in $(find "$d" -name '*.po' -exec basename {} .po ';') ; do
if [[ ${op} == "-i" ]] ; then
- hasq ${f} ${ls} && newls="${newls} ${f}"
+ has ${f} ${ls} && newls="${newls} ${f}"
else
- hasq ${f} ${ls} || newls="${newls} ${f}"
+ has ${f} ${ls} || newls="${newls} ${f}"
fi
done
ls=${newls}
@@ -1729,7 +1729,7 @@ strip-linguas() {
nols=""
newls=""
for f in ${LINGUAS} ; do
- if hasq ${f} ${ls} ; then
+ if has ${f} ${ls} ; then
newls="${newls} ${f}"
else
nols="${nols} ${f}"
diff --git a/eclass/fox.eclass b/eclass/fox.eclass
index 9085ec3faab7..33858cf2649a 100644
--- a/eclass/fox.eclass
+++ b/eclass/fox.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/fox.eclass,v 1.11 2010/12/02 16:11:32 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/fox.eclass,v 1.12 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: fox.eclass
# @MAINTAINER:
@@ -89,7 +89,7 @@ fox_src_unpack() {
unpack ${A}
cd "${S}"
- hasq src_prepare ${FOX_EXPF} || fox_src_prepare
+ has src_prepare ${FOX_EXPF} || fox_src_prepare
}
fox_src_prepare() {
@@ -139,7 +139,7 @@ fox_src_configure() {
fox_src_compile() {
- hasq src_configure ${FOX_EXPF} || fox_src_configure
+ has src_configure ${FOX_EXPF} || fox_src_configure
cd "${S}/${FOX_COMPONENT}"
emake || die "compile error"
diff --git a/eclass/gnome-python-common.eclass b/eclass/gnome-python-common.eclass
index f1640c20453f..b2ae7629db53 100644
--- a/eclass/gnome-python-common.eclass
+++ b/eclass/gnome-python-common.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome-python-common.eclass,v 1.11 2010/06/11 08:35:12 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome-python-common.eclass,v 1.12 2011/07/08 11:35:01 ssuominen Exp $
# Original Author: Arun Raghavan <ford_prefect@gentoo.org> (based on the
# gnome-python-desktop eclass by Jim Ramsay <lack@gentoo.org>)
@@ -138,7 +138,7 @@ gnome-python-common_src_install() {
python_execute_function -s gnome2_src_install "$@"
python_clean_installation_image
- if hasq examples ${IUSE} && use examples; then
+ if has examples ${IUSE} && use examples; then
insinto /usr/share/doc/${PF}/examples
for example in ${EXAMPLES}; do
diff --git a/eclass/gnome2.eclass b/eclass/gnome2.eclass
index b241a96ff206..e25994cfefc5 100644
--- a/eclass/gnome2.eclass
+++ b/eclass/gnome2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.96 2011/04/22 11:04:13 nirbheek Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnome2.eclass,v 1.97 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: gnome2.eclass
# @MAINTAINER:
@@ -112,7 +112,7 @@ gnome2_src_configure() {
fi
# Prevent a QA warning
- if hasq doc ${IUSE} ; then
+ if has doc ${IUSE} ; then
G2CONF="${G2CONF} $(use_enable doc gtk-doc)"
fi
diff --git a/eclass/java-ant-2.eclass b/eclass/java-ant-2.eclass
index ac845b865508..9d148571a9d7 100644
--- a/eclass/java-ant-2.eclass
+++ b/eclass/java-ant-2.eclass
@@ -14,7 +14,7 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-ant-2.eclass,v 1.50 2010/10/17 12:55:00 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-ant-2.eclass,v 1.51 2011/07/08 11:35:01 ssuominen Exp $
inherit java-utils-2
@@ -62,9 +62,9 @@ JAVA_ANT_E_DEPEND="${JAVA_ANT_E_DEPEND}
# this eclass must be inherited after java-pkg-2 or java-pkg-opt-2
# if it's java-pkg-opt-2, ant dependencies are pulled based on USE flag
-if hasq java-pkg-opt-2 ${INHERITED}; then
+if has java-pkg-opt-2 ${INHERITED}; then
JAVA_ANT_E_DEPEND="${JAVA_PKG_OPT_USE}? ( ${JAVA_ANT_E_DEPEND} )"
-elif ! hasq java-pkg-2 ${INHERITED}; then
+elif ! has java-pkg-2 ${INHERITED}; then
eerror "java-ant-2 eclass can only be inherited AFTER java-pkg-2 or java-pkg-opt-2"
fi
@@ -145,7 +145,7 @@ esac
# ------------------------------------------------------------------------------
java-ant-2_src_configure() {
# if java support is optional, don't perform this when the USE flag is off
- if hasq java-pkg-opt-2 ${INHERITED}; then
+ if has java-pkg-opt-2 ${INHERITED}; then
use ${JAVA_PKG_OPT_USE} || return
fi
@@ -328,7 +328,7 @@ java-ant_bsfix_files() {
readonly JAVA_ANT_JAVADOC_OUTPUT_DIR="${WORKDIR}/gentoo_javadoc"
mkdir -p "${JAVA_ANT_JAVADOC_OUTPUT_DIR}" || die
- if hasq doc ${IUSE}; then
+ if has doc ${IUSE}; then
if use doc; then
if [[ -z ${EANT_DOC_TARGET} ]]; then
EANT_DOC_TARGET="gentoojavadoc"
diff --git a/eclass/java-pkg-2.eclass b/eclass/java-pkg-2.eclass
index e2732e62a539..db4101372aec 100644
--- a/eclass/java-pkg-2.eclass
+++ b/eclass/java-pkg-2.eclass
@@ -5,7 +5,7 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg-2.eclass,v 1.35 2010/02/01 09:38:44 caster Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg-2.eclass,v 1.36 2011/07/08 11:35:01 ssuominen Exp $
inherit java-utils-2
@@ -93,7 +93,7 @@ java-pkg-2_src_compile() {
[[ "${EANT_FILTER_COMPILER}" ]] && \
java-pkg_filter-compiler ${EANT_FILTER_COMPILER}
local antflags="${EANT_BUILD_TARGET:=jar}"
- if hasq doc ${IUSE} && [[ -n "${EANT_DOC_TARGET=javadoc}" ]]; then
+ if has doc ${IUSE} && [[ -n "${EANT_DOC_TARGET=javadoc}" ]]; then
antflags="${antflags} $(use_doc ${EANT_DOC_TARGET})"
fi
local tasks
diff --git a/eclass/java-pkg-simple.eclass b/eclass/java-pkg-simple.eclass
index aea850e07957..8d4411a59cac 100644
--- a/eclass/java-pkg-simple.eclass
+++ b/eclass/java-pkg-simple.eclass
@@ -4,11 +4,11 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg-simple.eclass,v 1.1 2010/01/16 18:48:39 weaver Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-pkg-simple.eclass,v 1.2 2011/07/08 11:35:01 ssuominen Exp $
inherit java-utils-2
-if ! hasq java-pkg-2 ${INHERITED}; then
+if ! has java-pkg-2 ${INHERITED}; then
eerror "java-pkg-simple eclass can only be inherited AFTER java-pkg-2"
fi
@@ -128,7 +128,7 @@ java-pkg-simple_src_compile() {
@${sources}
# javadoc
- if hasq doc ${JAVA_PKG_IUSE} && use doc; then
+ if has doc ${JAVA_PKG_IUSE} && use doc; then
mkdir -p ${apidoc}
java-pkg-simple_verbose-cmd \
javadoc -d ${apidoc} \
@@ -162,13 +162,13 @@ java-pkg-simple_src_install() {
java-pkg_dojar ${PN}.jar
# javadoc
- if hasq doc ${JAVA_PKG_IUSE} && use doc; then
+ if has doc ${JAVA_PKG_IUSE} && use doc; then
java-pkg-simple_verbose-cmd \
java-pkg_dojavadoc ${apidoc}
fi
# dosrc
- if hasq source ${JAVA_PKG_IUSE} && use source; then
+ if has source ${JAVA_PKG_IUSE} && use source; then
local srcdirs=""
if [[ ${JAVA_SRC_DIR} ]]; then
local parent child
diff --git a/eclass/java-utils-2.eclass b/eclass/java-utils-2.eclass
index b97e46f1026a..260ff412a2b1 100644
--- a/eclass/java-utils-2.eclass
+++ b/eclass/java-utils-2.eclass
@@ -6,7 +6,7 @@
#
# Licensed under the GNU General Public License, v2
#
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-utils-2.eclass,v 1.140 2011/04/07 18:05:40 serkan Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-utils-2.eclass,v 1.141 2011/07/08 11:35:01 ssuominen Exp $
# -----------------------------------------------------------------------------
# @eclass-begin
@@ -63,7 +63,7 @@ export WANT_JAVA_CONFIG="2"
# portage with phase hooks support but now we use a version with proper env
# saving. For EAPI 2 we have new enough stuff so let's have cleaner deps.
# -----------------------------------------------------------------------------
-hasq "${EAPI}" 0 1 && JAVA_PKG_PORTAGE_DEP=">=sys-apps/portage-2.1.2.7"
+has "${EAPI}" 0 1 && JAVA_PKG_PORTAGE_DEP=">=sys-apps/portage-2.1.2.7"
# -----------------------------------------------------------------------------
# @variable-internal JAVA_PKG_E_DEPEND
@@ -73,7 +73,7 @@ hasq "${EAPI}" 0 1 && JAVA_PKG_PORTAGE_DEP=">=sys-apps/portage-2.1.2.7"
# so that ebuilds can use new features without depending on specific versions.
# -----------------------------------------------------------------------------
JAVA_PKG_E_DEPEND=">=dev-java/java-config-2.1.9-r1 ${JAVA_PKG_PORTAGE_DEP}"
-hasq source ${JAVA_PKG_IUSE} && JAVA_PKG_E_DEPEND="${JAVA_PKG_E_DEPEND} source? ( app-arch/zip )"
+has source ${JAVA_PKG_IUSE} && JAVA_PKG_E_DEPEND="${JAVA_PKG_E_DEPEND} source? ( app-arch/zip )"
# -----------------------------------------------------------------------------
# @variable-preinherit JAVA_PKG_WANT_BOOTCLASSPATH
@@ -1558,7 +1558,7 @@ java-pkg_get-current-vm() {
}
java-pkg_current-vm-matches() {
- hasq $(java-pkg_get-current-vm) ${@}
+ has $(java-pkg_get-current-vm) ${@}
return $?
}
@@ -1683,8 +1683,8 @@ java-pkg_ensure-gcj() {
}
java-pkg_ensure-test() {
- if hasq test ${FEATURES} && ! hasq -test ${FEATURES} \
- && hasq test ${IUSE} && ! use test;
+ if has test ${FEATURES} && ! has -test ${FEATURES} \
+ && has test ${IUSE} && ! use test;
then
eerror "You specified FEATURES=test, but USE=test is needed"
eerror "to pull in the additional dependencies for testing"
@@ -1924,7 +1924,7 @@ eant() {
java-utils-2_src_prepare
fi
- if ! hasq java-ant-2 ${INHERITED}; then
+ if ! has java-ant-2 ${INHERITED}; then
local msg="You should inherit java-ant-2 when using eant"
java-pkg_announce-qa-violation "${msg}"
fi
@@ -2644,7 +2644,7 @@ java-pkg_switch-vm() {
# useful for debugging bugs on bugzilla.
# ------------------------------------------------------------------------------
#register_die_hook java-pkg_die
-if ! hasq java-pkg_die ${EBUILD_DEATH_HOOKS}; then
+if ! has java-pkg_die ${EBUILD_DEATH_HOOKS}; then
EBUILD_DEATH_HOOKS="${EBUILD_DEATH_HOOKS} java-pkg_die"
fi
@@ -2790,7 +2790,7 @@ java-pkg_check-versioned-jar() {
}
java-pkg_check-jikes() {
- if hasq jikes ${IUSE}; then
+ if has jikes ${IUSE}; then
java-pkg_announce-qa-violation "deprecated USE flag 'jikes' in IUSE"
fi
}
diff --git a/eclass/java-vm-2.eclass b/eclass/java-vm-2.eclass
index fb3f20911c04..dfd38eae13a1 100644
--- a/eclass/java-vm-2.eclass
+++ b/eclass/java-vm-2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/java-vm-2.eclass,v 1.31 2010/04/17 08:30:36 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/java-vm-2.eclass,v 1.32 2011/07/08 11:35:01 ssuominen Exp $
# -----------------------------------------------------------------------------
# @eclass-begin
@@ -15,7 +15,7 @@
inherit eutils fdo-mime multilib
DEPEND="=dev-java/java-config-2*"
-hasq "${EAPI}" 0 1 && DEPEND="${DEPEND} >=sys-apps/portage-2.1"
+has "${EAPI}" 0 1 && DEPEND="${DEPEND} >=sys-apps/portage-2.1"
RDEPEND="
=dev-java/java-config-2*"
diff --git a/eclass/kde4-functions.eclass b/eclass/kde4-functions.eclass
index 044b7811cd12..34bcbc9893bc 100644
--- a/eclass/kde4-functions.eclass
+++ b/eclass/kde4-functions.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.54 2011/06/15 22:03:13 abcd Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-functions.eclass,v 1.55 2011/07/08 11:35:01 ssuominen Exp $
inherit versionator
@@ -262,7 +262,7 @@ migrate_store_dir() {
rmdir "${cleandir}" || die "Could not move obsolete KDE store dir. Please move '${cleandir}' contents to appropriate location (possibly ${ESVN_STORE_DIR}) and manually remove '${cleandir}' in order to continue."
fi
- if ! hasq kde4-meta ${INHERITED}; then
+ if ! has kde4-meta ${INHERITED}; then
case ${KMNAME} in
extragear*|playground*)
local scmlocalpath="${ESVN_STORE_DIR}"/"${KMNAME}"/"${PN}"
diff --git a/eclass/multilib.eclass b/eclass/multilib.eclass
index 3a5ab6fc8b57..c2526af8370a 100644
--- a/eclass/multilib.eclass
+++ b/eclass/multilib.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/multilib.eclass,v 1.90 2011/03/18 22:03:25 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/multilib.eclass,v 1.91 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: multilib.eclass
# @MAINTAINER:
@@ -175,15 +175,15 @@ get_install_abis() {
if [[ ${EMULTILIB_PKG} == "true" ]] ; then
for x in ${MULTILIB_ABIS} ; do
if [[ ${x} != "${DEFAULT_ABI}" ]] ; then
- hasq ${x} ${ABI_DENY} || order="${order} ${x}"
+ has ${x} ${ABI_DENY} || order="${order} ${x}"
fi
done
- hasq ${DEFAULT_ABI} ${ABI_DENY} || order="${order} ${DEFAULT_ABI}"
+ has ${DEFAULT_ABI} ${ABI_DENY} || order="${order} ${DEFAULT_ABI}"
if [[ -n ${ABI_ALLOW} ]] ; then
local ordera=""
for x in ${order} ; do
- if hasq ${x} ${ABI_ALLOW} ; then
+ if has ${x} ${ABI_ALLOW} ; then
ordera="${ordera} ${x}"
fi
done
diff --git a/eclass/mysql.eclass b/eclass/mysql.eclass
index 1c712fe78eb8..d41a064e9fbc 100644
--- a/eclass/mysql.eclass
+++ b/eclass/mysql.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.160 2011/05/07 19:16:48 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mysql.eclass,v 1.161 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: mysql.eclass
# @MAINTAINER:
@@ -773,7 +773,7 @@ pbxt_src_install() {
# create new user and group for mysql
# warn about deprecated features
mysql_pkg_setup() {
- if hasq test ${FEATURES} ; then
+ if has test ${FEATURES} ; then
if ! use minimal ; then
if [[ $UID -eq 0 ]]; then
eerror "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
diff --git a/eclass/mythtv-plugins.eclass b/eclass/mythtv-plugins.eclass
index 39661053ab4c..b95af91be3ce 100644
--- a/eclass/mythtv-plugins.eclass
+++ b/eclass/mythtv-plugins.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mythtv-plugins.eclass,v 1.38 2010/06/16 05:29:21 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mythtv-plugins.eclass,v 1.39 2011/07/08 11:35:01 ssuominen Exp $
#
# @ECLASS: mythtv-plugins.eclass
# @AUTHOR: Doug Goldstein <cardoe@gentoo.org>
@@ -87,7 +87,7 @@ mythtv-plugins_src_configure() {
local myconf=""
- if hasq ${PN} ${MYTHPLUGINS} ; then
+ if has ${PN} ${MYTHPLUGINS} ; then
for x in ${MYTHPLUGINS} ; do
if [[ ${PN} == ${x} ]] ; then
myconf="${myconf} --enable-${x}"
@@ -113,7 +113,7 @@ mythtv-plugins_src_compile() {
}
mythtv-plugins_src_install() {
- if hasq ${PN} ${MYTHPLUGINS} ; then
+ if has ${PN} ${MYTHPLUGINS} ; then
cd "${S}"/${PN}
else
die "Package ${PN} is unsupported"
diff --git a/eclass/pam.eclass b/eclass/pam.eclass
index 7eab465a3af2..243ce3ffc9ea 100644
--- a/eclass/pam.eclass
+++ b/eclass/pam.eclass
@@ -1,7 +1,7 @@
# Copyright 2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2 or later
# Author Diego Pettenò <flameeyes@gentoo.org>
-# $Header: /var/cvsroot/gentoo-x86/eclass/pam.eclass,v 1.19 2011/02/05 22:29:40 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/pam.eclass,v 1.20 2011/07/08 11:35:01 ssuominen Exp $
#
# This eclass contains functions to install pamd configuration files and
# pam modules.
@@ -14,7 +14,7 @@ inherit multilib flag-o-matic
dopamd() {
[[ -z $1 ]] && die "dopamd requires at least one argument"
- if hasq pam ${IUSE} && ! use pam; then
+ if has pam ${IUSE} && ! use pam; then
return 0;
fi
@@ -32,7 +32,7 @@ dopamd() {
newpamd() {
[[ $# -ne 2 ]] && die "newpamd requires two arguments"
- if hasq pam ${IUSE} && ! use pam; then
+ if has pam ${IUSE} && ! use pam; then
return 0;
fi
@@ -50,7 +50,7 @@ newpamd() {
dopamsecurity() {
[[ $# -lt 2 ]] && die "dopamsecurity requires at least two arguments"
- if hasq pam ${IUSE} && ! use pam; then
+ if has pam ${IUSE} && ! use pam; then
return 0
fi
@@ -67,7 +67,7 @@ dopamsecurity() {
newpamsecurity() {
[[ $# -ne 3 ]] && die "newpamsecurity requires three arguments"
- if hasq pam ${IUSE} && ! use pam; then
+ if has pam ${IUSE} && ! use pam; then
return 0;
fi
@@ -115,7 +115,7 @@ EOF
dopammod() {
[[ -z $1 ]] && die "dopammod requires at least one argument"
- if hasq pam ${IUSE} && ! use pam; then
+ if has pam ${IUSE} && ! use pam; then
return 0;
fi
@@ -130,7 +130,7 @@ dopammod() {
newpammod() {
[[ $# -ne 2 ]] && die "newpammod requires two arguements"
- if hasq pam ${IUSE} && ! use pam; then
+ if has pam ${IUSE} && ! use pam; then
return 0;
fi
@@ -154,7 +154,7 @@ pamd_mimic_system() {
pamd_mimic() {
[[ $# -lt 3 ]] && die "pamd_mimic requires at least three argments"
- if hasq pam ${IUSE} && ! use pam; then
+ if has pam ${IUSE} && ! use pam; then
return 0;
fi
@@ -175,7 +175,7 @@ pamd_mimic() {
shift; shift
while [[ -n $1 ]]; do
- hasq $1 ${authlevels} || die "unknown level type"
+ has $1 ${authlevels} || die "unknown level type"
echo -e "$1${mimic}" >> ${pamdfile}
diff --git a/eclass/pax-utils.eclass b/eclass/pax-utils.eclass
index 6489fbf7b1f5..b06bf006e562 100644
--- a/eclass/pax-utils.eclass
+++ b/eclass/pax-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/pax-utils.eclass,v 1.13 2011/07/03 21:17:10 blueness Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/pax-utils.eclass,v 1.14 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: pax-utils.eclass
# @MAINTAINER:
@@ -57,7 +57,7 @@ pax-mark() {
flags=${1//-}
shift
# Try paxctl, then scanelf. paxctl is preferred.
- if type -p paxctl > /dev/null && hasq PT ${PAX_MARKINGS}; then
+ if type -p paxctl > /dev/null && has PT ${PAX_MARKINGS}; then
# Try paxctl, the upstream supported tool.
elog "PT PaX marking -${flags}"
_pax_list_files elog "$@"
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index 5997e6d42641..73f54db25fda 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.90 2011/03/10 23:45:51 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.91 2011/07/08 11:35:01 ssuominen Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -174,7 +174,7 @@ qt4-build_src_prepare() {
# fix libx11 dependency on non X packages
if version_is_at_least "4.7.0_beta2"; then
local NOLIBX11PKG="qt-core qt-dbus qt-script qt-sql qt-test qt-xmlpatterns"
- hasq ${PN} ${NOLIBX11PKG} && qt_nolibx11
+ has ${PN} ${NOLIBX11PKG} && qt_nolibx11
[[ ${PN} == "qt-assistant" ]] && qt_assistant_cleanup
fi
@@ -601,7 +601,7 @@ generate_qconfigs() {
# including qconfig_add and excluding qconfig_remove
for x in $(sed -n 's/^QT_CONFIG +=//p' \
"${ROOT}${QTDATADIR}"/mkspecs/qconfig.pri) ${qconfig_add}; do
- hasq ${x} ${qconfig_remove} || qconfig_new+=" ${x}"
+ has ${x} ${qconfig_remove} || qconfig_new+=" ${x}"
done
# replace the existing QT_CONFIG list with qconfig_new
diff --git a/eclass/ruby-ng.eclass b/eclass/ruby-ng.eclass
index 7cc7b0bbc775..99afd5016f80 100644
--- a/eclass/ruby-ng.eclass
+++ b/eclass/ruby-ng.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby-ng.eclass,v 1.32 2011/04/25 08:37:26 graaff Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby-ng.eclass,v 1.33 2011/07/08 11:35:01 ssuominen Exp $
#
# @ECLASS: ruby-ng.eclass
# @MAINTAINER:
@@ -213,7 +213,7 @@ ruby_add_rdepend() {
# Add the dependency as a test-dependency since we're going to
# execute the code during test phase.
DEPEND="${DEPEND} test? ( ${dependency} )"
- hasq test "$IUSE" || IUSE="${IUSE} test"
+ has test "$IUSE" || IUSE="${IUSE} test"
}
# @FUNCTION: ruby_add_bdepend
diff --git a/eclass/ruby.eclass b/eclass/ruby.eclass
index 60719de69daa..8d39f3adcd63 100644
--- a/eclass/ruby.eclass
+++ b/eclass/ruby.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.79 2010/08/03 15:50:02 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ruby.eclass,v 1.80 2011/07/08 11:35:01 ssuominen Exp $
#
# DEPRECATION NOTICE
# This eclass is deprecated because it does not properly handle
@@ -193,7 +193,7 @@ erubydoc() {
dohtml -r *
fi
- if hasq examples ${IUSE} && use examples; then
+ if has examples ${IUSE} && use examples; then
for dir in sample samples example examples; do
if [ -d ${dir} ] ; then
dodir /usr/share/doc/${PF}
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 4293638c986a..b04dcb84c0b9 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.460 2011/06/14 20:28:20 mattst88 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.461 2011/07/08 11:35:01 ssuominen Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -451,7 +451,7 @@ hardened_gcc_is_stable() {
die "hardened_gcc_stable needs to be called with pie or ssp"
fi
- hasq $(tc-arch) ${tocheck} && return 0
+ has $(tc-arch) ${tocheck} && return 0
return 1
}
@@ -481,7 +481,7 @@ hardened_gcc_check_unsupported() {
die "hardened_gcc_check_unsupported needs to be called with pie or ssp"
fi
- hasq $(tc-arch) ${tocheck} && return 0
+ has $(tc-arch) ${tocheck} && return 0
return 1
}
diff --git a/eclass/vim-plugin.eclass b/eclass/vim-plugin.eclass
index 8513f7cd9f87..c5d2d6f57650 100644
--- a/eclass/vim-plugin.eclass
+++ b/eclass/vim-plugin.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.26 2011/01/16 18:18:13 grobian Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vim-plugin.eclass,v 1.27 2011/07/08 11:35:01 ssuominen Exp $
#
# This eclass simplifies installation of app-vim plugins into
# /usr/share/vim/vimfiles. This is a version-independent directory
@@ -139,7 +139,7 @@ display_vim_plugin_help() {
elog " "
fi
- if hasq "filetype" "${VIM_PLUGIN_MESSAGES}" ; then
+ if has "filetype" "${VIM_PLUGIN_MESSAGES}" ; then
elog "This plugin makes use of filetype settings. To enable these,"
elog "add lines like:"
elog " filetype plugin on"